SDL_bopengl.h File Reference
`#include "../SDL_sysvideo.h"`
Include dependency graph for SDL_bopengl.h:

Go to the source code of this file.

## Functions

int | BE_GL_LoadLibrary (_THIS, const char *path)
void * | BE_GL_GetProcAddress (_THIS, const char *proc)
void | BE_GL_UnloadLibrary (_THIS)
int | BE_GL_MakeCurrent (_THIS, SDL_Window *window, SDL_GLContext context)
int | BE_GL_SetSwapInterval (_THIS, int interval)
int | BE_GL_GetSwapInterval (_THIS)
void | BE_GL_SwapWindow (_THIS, SDL_Window *window)
SDL_GLContext | BE_GL_CreateContext (_THIS, SDL_Window *window)
void | BE_GL_DeleteContext (_THIS, SDL_GLContext context)
void | BE_GL_RebootContexts (_THIS)

## Function Documentation

SDL_GLContext BE_GL_CreateContext | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

void BE_GL_DeleteContext | ( | _THIS | ,
|  | SDL_GLContext | context
| ) |  |

void* BE_GL_GetProcAddress | ( | _THIS | ,
|  | const char * | proc
| ) |  |

int BE_GL_GetSwapInterval | ( | _THIS |  | ) |

int BE_GL_LoadLibrary | ( | _THIS | ,
|  | const char * | path
| ) |  |

int BE_GL_MakeCurrent | ( | _THIS | ,
|  | SDL_Window * | window,
|  | SDL_GLContext | context
| ) |  |

void BE_GL_RebootContexts | ( | _THIS |  | ) |

int BE_GL_SetSwapInterval | ( | _THIS | ,
|  | int | interval
| ) |  |

void BE_GL_SwapWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

void BE_GL_UnloadLibrary | ( | _THIS |  | ) |